class CaesarVerschluesselung {
	int verschiebung;

	CaesarVerschluesselung(int verschiebung) {
		this.verschiebung = verschiebung;
	}

	String chiffrieren(String botschaft) {
		String erg = "";
		for (int i = 0; i < botschaft.length(); i++) {
			char ch = botschaft.charAt(i);
			if (ch >= 'a' && ch <= 'z') {
				char vch = (char) ((ch - 'a' + this.verschiebung) % 26 + 'a');
				erg = erg + vch;
			} else if (ch >= 'A' && ch <= 'Z') {
				char vch = (char) ((ch - 'A' + this.verschiebung) % 26 + 'A');
				erg = erg + vch;
			} else {
				erg = erg + ch;
			}
		}
		return erg;
	}

	String dechiffrieren(String botschaft) {
		String erg = "";
		for (int i = 0; i < botschaft.length(); i++) {
			char ch = botschaft.charAt(i);
			if (ch >= 'a' && ch <= 'z') {
				char vch = (char) ((ch - 'a' - this.verschiebung) % 26 + 'a');
				erg = erg + vch;
			} else if (ch >= 'A' && ch <= 'Z') {
				char vch = (char) ((ch - 'A' - this.verschiebung) % 26 + 'A');
				erg = erg + vch;
			} else {
				erg = erg + ch;
			}
		}
		return erg;
	}
}

public class UE10Aufgabe17 {

	public static void main(String[] args) {
		CaesarVerschluesselung verschluesselung = new CaesarVerschluesselung(8);
		String botschaft = IO.readString("Botschaft:");
		String vbotschaft = verschluesselung.chiffrieren(botschaft);
		System.out.println(vbotschaft);
		System.out.println(verschluesselung.dechiffrieren(vbotschaft));

	}
}
