
class GeldspielAutomat {

	int guthaben;

	GeldspielAutomat() {
		guthaben = 0;
	}

	void geldEinwerfen(int geld) {
		if (geld <= 0) {
			return;
		}
		guthaben += geld;
	}

	int getGuthaben() {
		return guthaben;
	}

	int auszahlen() {
		int speicher = guthaben;
		guthaben = 0;
		return speicher;
	}

	boolean spielen() {
		int zahl1 = (int) (Math.random() * 6);
		int zahl2 = (int) (Math.random() * 6);
		if (zahl1 == zahl2) {
			guthaben += guthaben * 3;
			return true;
		} else {
			guthaben = 0;
			return false;
		}
	}
}

public class UE10Aufgabe26 {

	public static void main(String[] args) throws Exception {
		GeldspielAutomat automat = new GeldspielAutomat();
		// ...
		automat.geldEinwerfen(IO.readInt("Einwerfen: "));
		// ...
		if (automat.spielen()) {
			System.out.println("gewonnen");
		} else {
			System.out.println("verloren");
		}
		System.out.println("Guthaben = " + automat.getGuthaben());
		// ...
		int geld = automat.auszahlen();
		// ...
	}
}
