class Konservendose {
	double umfang;
	double hoehe;
	final double PI;

	Konservendose(double u, double h) {
		umfang = u;
		hoehe = h;
		PI = 3.141592;
	}

	public double getUmfang() {
		return umfang;
	}

	public void setUmfang(double u) {
		umfang = u;
	}

	public double getHoehe() {
		return hoehe;
	}

	public void setHoehe(double h) {
		hoehe = h;
	}

	double getBodenDurchmesser() {
		return umfang / PI;
	}

	double getBodenFlaeche() {
		return PI * (getBodenDurchmesser() / 2) * (getBodenDurchmesser() / 2);
	}

	double getMantelflaeche() {
		return umfang * hoehe;
	}

	double getGesamtflaeche() {
		return 2 * getBodenFlaeche() + getMantelflaeche();
	}

	double getVolumen() {
		return getBodenFlaeche() * hoehe;
	}
}

public class UE10Aufgabe23 {

	// Testprogramm
	public static void main(String[] args) {
		double umfang = IO.readDouble("Umfang: ");
		double hoehe = IO.readDouble("Hoehe: ");
		Konservendose dose = new Konservendose(umfang, hoehe);
		System.out.println("Gesamtflaeche = " + dose.getGesamtflaeche());
		// ...

	}

}
